require 'blazing/recipe'

class Blazing::Recipe::UnicornRestart < Blazing::Recipe

  def run(target_options = {})
    super target_options

    info "restarting unicorn"
    system "#{sudo} kill -USR2 #{unicorn_pid}"
  end

  private

  def unicorn_pid
    File.read('tmp/pids/unicorn.pid').to_i
  end

  def application
    options[:app] || pwd
  end

  def pwd
    Dir.pwd.split('/').last
  end

  def sudo
    options[:sudo] || 'sudo'
  end

end